> ## Documentation Index
> Fetch the complete documentation index at: https://docs-slidekit.theduomi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get slide by number

> Retrieves a specific slide from a template by its 1-based slide number.



## OpenAPI

````yaml /openapi/powerpoint-api.json get /api/v1/templates/{template_id}/slides/{slide_number}
openapi: 3.1.0
info:
  title: SlideKit
  description: >-
    A comprehensive API for PowerPoint template management and presentation
    generation
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/templates/{template_id}/slides/{slide_number}:
    get:
      tags:
        - templates
      summary: Get slide by number
      description: Retrieves a specific slide from a template by its 1-based slide number.
      operationId: >-
        get_slide_by_number_api_v1_templates__template_id__slides__slide_number__get
      parameters:
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            title: Template Id
        - name: slide_number
          in: path
          required: true
          schema:
            type: integer
            title: Slide Number
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TemplateSlideResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    TemplateSlideResponse:
      properties:
        slide_id:
          type: string
          title: Slide Id
          description: Unique slide identifier
        slide_index:
          type: integer
          title: Slide Index
          description: 0-based index in template file
        slide_number:
          type: integer
          title: Slide Number
          description: 1-based slide number for display
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
          description: Slide title if available
        shapes:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Shapes
          description: Shape data from parser
        dimension:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Dimension
          description: Slide dimensions
      type: object
      required:
        - slide_id
        - slide_index
        - slide_number
      title: TemplateSlideResponse
      description: Response schema for a single template slide.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        Production API key. Development/test deployments may also allow
        X-Org-Name.

````